Bug 28648 - Make %patch use %__patch rather than hard-code 'patch'
Summary: Make %patch use %__patch rather than hard-code 'patch'
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-21 18:19 UTC by Joe Orton
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 18:20:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for %patch using %__patch (866 bytes, patch)
2001-02-21 18:20 UTC, Joe Orton
no flags Details | Diff

Description Joe Orton 2001-02-21 18:19:17 UTC
This patch makes the %patch macro use the patch binary specified by the
%__patch macro, rather than just hard-coding 'patch'.

(maintainer has previously indicated that this patch is unacceptable, but
here it is anyway)

Comment 1 Joe Orton 2001-02-21 18:20:17 UTC
Created attachment 10683 [details]
Patch for %patch using %__patch

Comment 2 Jeff Johnson 2001-02-22 18:11:35 UTC
I can't change this without the risk (albeit small) of breaking legacy builds.

FWIW, what really needs doing is to rip out the existing %patchN and %setup
implemented
in C and use a macro expansion instead, it's just not that hard to write a line
of shell using macros. There would need to be some changes to the existing
macro expansion, specifically
	a) a hack to special case the "N" in %patchN token recognition
	b) a way to parse multiple occurences of -a and -b in %setup
	into a list.

Oh yeah, there's a small memory leak in your patch, rpmGetPath() return's
malloc'd
memory.


Note You need to log in before you can comment on or make changes to this bug.